GET  FILE='C:\MICS\SPSS\HL.sav'.

compute total  = 1.
variable label total "".
value label total 1 "Total".

weight by HHWEIGHT.

if (hl5 = 0) t0 = 1.
if (hl5 = 1) t1 = 1.
if (hl5 = 2) t2 = 1.
if (hl5 = 3) t3 = 1.
if (hl5 = 4) t4 = 1.
if (hl5 = 5) t5 = 1.
if (hl5 = 6) t6 = 1.
if (hl5 = 7) t7 = 1.
if (hl5 = 8) t8 = 1.
if (hl5 = 9) t9 = 1.
if (hl5 = 10) t10 = 1.
if (hl5 = 11) t11 = 1.
if (hl5 = 12) t12 = 1.
if (hl5 = 13) t13 = 1.
if (hl5 = 14) t14 = 1.
if (hl5 = 15) t15 = 1.
if (hl5 = 16) t16 = 1.
if (hl5 = 17) t17 = 1.
if (hl5 = 18) t18 = 1.
if (hl5 = 19) t19 = 1.
if (hl5 = 20) t20 = 1.
if (hl5 = 21) t21 = 1.
if (hl5 = 22) t22 = 1.
if (hl5 = 23) t23 = 1.
if (hl5 = 24) t24 = 1.
if (hl5 = 25) t25 = 1.
if (hl5 = 26) t26 = 1.
if (hl5 = 45) t45 = 1.
if (hl5 = 46) t46 = 1.
if (hl5 = 47) t47 = 1.
if (hl5 = 48) t48 = 1.
if (hl5 = 49) t49 = 1.
if (hl5 = 50) t50 = 1.
if (hl5 = 51) t51 = 1.

aggregate outfile = 'tmp1.sav'
  /break   = hl4
  /tt0    = sum(t0)
  /tt1    = sum(t1)
  /tt2    = sum(t2)
  /tt3    = sum(t3)
  /tt4    = sum(t4)
  /tt5    = sum(t5)
  /tt6    = sum(t6)
  /tt7    = sum(t7)
  /tt8    = sum(t8)
  /tt9    = sum(t9)
  /tt10  = sum(t10)
  /tt11  = sum(t11)
  /tt12  = sum(t12)
  /tt13  = sum(t13)
  /tt14  = sum(t14)
  /tt15  = sum(t15)
  /tt16  = sum(t16)
  /tt17  = sum(t17)
  /tt18  = sum(t18)
  /tt19  = sum(t19)
  /tt22  = sum(t22)
  /tt23  = sum(t23)
  /tt24  = sum(t24)
  /tt25  = sum(t25)
  /tt26  = sum(t26)
  /tt46  = sum(t46)
  /tt47  = sum(t47)
  /tt48  = sum(t48)
  /tt49  = sum(t49)
  /tt50  = sum(t50)
  /tt51  = sum(t51).

aggregate outfile = 'tmp2.sav'
  /break   = total
  /tt0    = sum(t0)
  /tt1    = sum(t1)
  /tt2    = sum(t2)
  /tt3    = sum(t3)
  /tt4    = sum(t4)
  /tt5    = sum(t5)
  /tt6    = sum(t6)
  /tt7    = sum(t7)
  /tt8    = sum(t8)
  /tt9    = sum(t9)
  /tt10  = sum(t10)
  /tt11  = sum(t11)
  /tt12  = sum(t12)
  /tt13  = sum(t13)
  /tt14  = sum(t14)
  /tt15  = sum(t15)
  /tt16  = sum(t16)
  /tt17  = sum(t17)
  /tt18  = sum(t18)
  /tt19  = sum(t19)
  /tt22  = sum(t22)
  /tt23  = sum(t23)
  /tt24  = sum(t24)
  /tt25  = sum(t25)
  /tt26  = sum(t26)
  /tt46  = sum(t46)
  /tt47  = sum(t47)
  /tt48  = sum(t48)
  /tt49  = sum(t49)
  /tt50  = sum(t50)
  /tt51  = sum(t51).

get file = 'tmp1.sav'.

add files
  /file = *
  /file = 'tmp2.sav'.

compute age1 = tt1/((tt0+tt1+tt2)/3).
compute age2 = tt2/((tt1+tt2+tt3)/3).
compute age3 = tt3/((tt2+tt3+tt4)/3).
compute age4 = tt4/((tt3+tt4+tt5)/3).
compute age5 = tt5/((tt4+tt5+tt6)/3).
compute age6 = tt6/((tt5+tt6+tt7)/3).
* Force break. 
compute age7 = tt7/0.
compute age8 = tt8/((tt7+tt8+tt9)/3).
compute age9 = tt9/((tt8+tt9+tt10)/3).
compute age10 = tt10/((tt9+tt10+tt11)/3).
* Force break. 
compute age11 = tt11/0.
compute age13 = tt13/((tt12+tt13+tt14)/3).
compute age14 = tt14/((tt13+tt14+tt15)/3).
compute age15 = tt15/((tt14+tt15+tt16)/3).
compute age16 = tt16/((tt15+tt16+tt17)/3).
compute age17 = tt17/((tt16+tt17+tt18)/3).
compute age18 = tt17/((tt17+tt18+tt19)/3).
* Force break. 
compute age19 = tt19/0.
compute age23 = tt23/((tt22+tt23+tt24)/3).
compute age24 = tt24/((tt23+tt24+tt25)/3).
compute age25 = tt25/((tt24+tt25+tt26)/3).
* Force break. 
compute age26 = tt26/0.
compute age48 = tt48/((tt47+tt48+tt49)/3).
compute age49 = tt49/((tt48+tt49+tt50)/3).
compute age50 = tt50/((tt49+tt50+tt51)/3).

variable label hl4 'Age and period ratios'.

tables
  /format = zero
  /observation = age1 age2 age3 age4 age5 age6 age7 age8 age9 age10 age11 age13 age14 age15 age16 age17 age18 age19 age23 age24 age25  age26 age48 age49  age50
  /table = (age1 + age2 + age3 + age4 + age5 + age6 + age7 + age8 + age9 + age10 + age11 + age13 + age14 + age15 + age16 + age17 +age18 + age19 + age23 + age24 + age25 + age26 + age48 + age49 + age50) BY hl4 + total
  /statistics
    means(age1 '1' (f7.2))
    means(age2 '2' (f7.2))
    means(age3 '3' (f7.2))
    means(age4 '4' (f7.2))
    means(age5 '5' (f7.2))
    means(age6 '6' (f7.2))
    means(age7 '.' (f7.2))
    means(age8 '8' (f7.2))
    means(age9 '9' (f7.2))
    means(age10 '10' (f7.2))
    means(age11 '.' (f7.2))
    means(age13 '13' (f7.2))
    means(age14 '14' (f7.2))
    means(age15 '15' (f7.2))
    means(age16 '16' (f7.2))
    means(age17 '17' (f7.2))
    means(age18 '18' (f7.2))
    means(age19 '.' (f7.2))
    means(age23 '23' (f7.2))
    means(age24 '24' (f7.2))
    means(age25 '25' (f7.2))
    means(age26 '.' (f7.2))
    means(age48 '48' (f7.2))
    means(age49 '49' (f7.2))
    means(age50 '50' (f7.2))
  /caption "Age in household questionnaire"
  /title
    "Table DQ.5: Heaping on ages and periods" 
    "Age and period ratios at boundaries of eligibility by type of information collected (Household questionnaire, weighted), BELARUS, 2005".

new file.
erase file 'tmp1.sav'.
erase file 'tmp2.sav'.


GET  FILE='C:\MICS\SPSS\WM.sav'.

select if (WM7 = 1).

compute total  = 1.
variable label total "".
value label total 1 "Total".

weight by WMWEIGHT.

if (wm9 = 22) t22 = 1.
if (wm9 = 23) t23 = 1.
if (wm9 = 24) t24 = 1.
if (wm9 = 25) t25 = 1.
if (wm9 = 26) t26 = 1.

compute hl4 = 2.

aggregate outfile = 'tmp1.sav'
  /break   = hl4
  /tt22  = sum(t22)
  /tt23  = sum(t23)
  /tt24  = sum(t24)
  /tt25  = sum(t25)
  /tt26  = sum(t26).

get file = 'tmp1.sav'.

compute age23 = tt23/((tt22+tt23+tt24)/3).
compute age24 = tt24/((tt23+tt24+tt25)/3).
compute age25 = tt25/((tt24+tt25+tt26)/3).

variable label hl4 'Age and period ratios'.
value label hl4 2 'Female'.

tables
  /format = zero
  /observation = age23 age24 age25
  /table = (age23 + age24 + age25) BY hl4
  /statistics
    means(age23 '23' (f7.2))
    means(age24 '24' (f7.2))
    means(age25 '25' (f7.2))
  /caption "Age in women's questionnaire"
  /title
    "Table DQ.5: Heaping on ages and periods" 
    "Age and period ratios at boundaries of eligibility by type of information collected (Women's questionnaire, weighted), BELARUS, 2005".


GET  FILE='C:\MICS\SPSS\WM.sav'.

select if (WM7 = 1 and CM1 = 1).

compute total  = 1.
variable label total "".
value label total 1 "Total".

weight by wmweight.

* calculate the CMC date of interview.
compute cmcdoiw = (WM6Y - 1900)*12 + WM6M.
variable label cmcdoiw "Date of interview women (CMC)".

* set random number seed.
set seed = 1003.

* calculate months since last birth IF last birth in last two years.
do if (CM11Y < 9996 and CM11M < 96).
+ compute wdolb = (CM11Y - 1900)*12 + CM11M.
else if (CM11Y < 9996).
+ compute udolb = (CM11Y - 1900)*12 + 12.
+ compute ldolb = (CM11Y - 1900)*12 + 1.
+ compute wdolb = trunc(rv.uniform(ldolb,udolb)).
end if.
variable label wdolb "Date of last birth (CMC)".

compute mslbrth = cmcdoiw - wdolb.
variable label mslbrth "Months since last birth".
format mslbrth (f3.0).

select if (mslbrth <= 41).

if (mslbrth >= 0 and mslbrth <= 5) t05 = 1.
if (mslbrth >= 6 and mslbrth <= 11) t611 = 1.
if (mslbrth >= 12 and mslbrth <= 17) t1217 = 1.
if (mslbrth >= 18 and mslbrth <= 23) t1823 = 1.
if (mslbrth >= 24 and mslbrth <= 29) t2429 = 1.
if (mslbrth >= 30 and mslbrth <= 35) t3035 = 1.
if (mslbrth >= 36 and mslbrth <= 41) t3641 = 1.

compute hl4 = 2.

aggregate outfile = 'tmp1.sav'
  /break   = hl4
  /tt05  = sum(t05)
  /tt611  = sum(t611)
  /tt1217  = sum(t1217)
  /tt1823  = sum(t1823)
  /tt2429  = sum(t2429)
  /tt3035  = sum(t3035)
  /tt3641  = sum(t3641).

get file = 'tmp1.sav'.

compute age611 = tt611/((tt05+tt611+tt1217)/3).
compute age1217 = tt1217/((tt611+tt1217+tt1823)/3).
compute age1823 = tt1823/((tt1217+tt1823+tt2429)/3).
compute age2429 = tt2429/((tt1823+tt2429+tt3035)/3).
compute age3035 = tt3035/((tt2429+tt3035+tt3641)/3).

variable label hl4 'Age and period ratios'.
value label hl4 2 'Female'.

tables
  /format = zero
  /observation = age611 age1217 age1823 age2429 age3035
  /table = (age611 + age1217 + age1823 + age2429 + age3035) BY hl4
  /statistics
    means(age611 '6-11' (f7.2))
    means(age1217 '12-17' (f7.2))
    means(age1823 '18-23' (f7.2))
    means(age2429 '24-29' (f7.2))
    means(age3035 '30-35' (f7.2))
  /caption "Months since last birth in women's questionnaire"
  /title
    "Table DQ.5: Heaping on ages and periods" 
    "Age and period ratios at boundaries of eligibility by type of information collected (Women's questionnaire, weighted), BELARUS, 2005".

new file.
erase file 'tmp1.sav'.
