*create a wealth index file for each unit of analysis.

GET FILE='R:\Work.05\MICS\SPS\WEALTH\wealth.sav'.

sort cases by HH1 HH2.

save outfile = 'D:\MICS\hhwlth.sav'
  /keep HH1 HH2 wlthscor wlthind5.

*add wealth index to the household file.
GET FILE='R:\Work.05\MICS\SAV\HH.SAV'.

sort cases by HH1 HH2.

match files
  /file = *
  /table = 'D:\MICS\hhwlth.sav'
  /by HH1 HH2.

*set wealth index for incomplete households equal to 0.
if (HH9 <> 1) wlthind5 = 0.
if (HH9 <> 1) wlthscor = 0.

SAVE OUTFILE='R:\Work.05\MICS\SAV\HH.sav'.

*add wealth index to the household listing file.
GET FILE='R:\Work.05\MICS\SAV\HL.SAV'.

sort cases by HH1 HH2.

match files
  /file = *
  /table = 'D:\MICS\hhwlth.sav'
  /by HH1 HH2.

SAVE OUTFILE='R:\Work.05\MICS\SAV\HL.sav'.

*add wealth index to the women file.
GET FILE='R:\Work.05\MICS\SAV\WM.SAV'.

sort cases by HH1 HH2.

match files
  /file = *
  /table = 'D:\MICS\hhwlth.sav'
  /by HH1 HH2.

*set wealth index for incomplete womens interviews equal to 0.
if (WM7 <> 1) wlthind5 = 0.
if (WM7 <> 1) wlthscor = 0.

SAVE OUTFILE='R:\Work.05\MICS\SAV\WM.sav'.

*add wealth index to the children file.
GET FILE='R:\Work.05\MICS\SAV\CH.SAV'.

sort cases by HH1 HH2.

match files
  /file = *
  /table = 'D:\MICS\hhwlth.sav'
  /by HH1 HH2.

*set wealth index for incomplete child interviews equal to 0.
if (UF9 <> 1) wlthind5 = 0.
if (UF9 <> 1) wlthscor = 0.

SAVE OUTFILE='R:\Work.05\MICS\SAV\CH.sav'.

*delete working files.
new file.
erase file = 'D:\MICS\hhwlth.sav'.