GET  FILE='C:\MICS\SPSS\HL.sav'.

weight by hhweight.

recode HL5 (0 thru 79 = copy ) (80 thru 97 = 80) (98 thru 99 = 99) into mage.
format mage (f3.0).
variable label mage "Age".
value label mage
	80 	"80+"
 	99 	"DK/missing".

variable label hl4 ''.

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = mage + tot1 by hl4
  /statistics
    count(hl4 (f5.0) 'Number')
    cpct(hl4 (f5.1) 'Percent': hl4)
  /title
    "Table DQ.1: Age distribution of household population"  
    "Single-year distribution of household population by sex (weighted), BELARUS, 2005".

new file.
